Bug 73822 - anaconda crash when RAID partitions requested
anaconda crash when RAID partitions requested
Status: CLOSED DUPLICATE of bug 64734
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-09-11 11:43 EDT by Need Real Name
Modified: 2007-04-18 12:46 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-09-20 04:55:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-09-11 11:43:19 EDT
Description of Problem: I was installing Rh7.3 on an i386 platform. I have   
three disks, two IDE and one SCSI. Historically the two IDEs have been set up   
in a software RAID configuration while the SCSI device contains standard ext3   
partitions. However, if I do this, the installation crashes (messages below).   
   
Version-Release number of selected component (if applicable):   
   
How Reproducible:   
   
Every time.   
   
Steps to Reproduce:   
1. Set up /dev/hde and /dev/hdg as software-RAID disks   
2. Set up /dev/sda with various ext3 partitions e.g. /, /boot and /var plus   
swap space   
3. Carry on with installation   
   
Actual Results:   
   
   
Expected Results:   
   
   
Additional Information:   
    
Output was saved to floppy and is as follows (large) 
  
 Traceback (innermost last):  
  File "/usr/bin/anaconda", line 633, in ?  
    intf.run(id, dispatch, configFileData)  
  File "/usr/lib/anaconda/gui.py", line 353, in run  
    self.icw.run (self.runres, configFileData)  
  File "/usr/lib/anaconda/gui.py", line 814, in run  
    mainloop ()  
  File "/usr/lib/python1.5/site-packages/gtk.py", line 2676, in mainloop  
    _gtk.gtk_main()  
  File "/usr/lib/anaconda/gui.py", line 529, in handleRenderCallback  
    self.currentWindow.renderCallback()  
  File "/usr/lib/anaconda/iw/progress_gui.py", line 135, in renderCallback  
    self.intf.icw.nextClicked()  
  File "/usr/lib/anaconda/gui.py", line 417, in nextClicked  
    self.dispatch.gotoNext()  
  File "/usr/lib/anaconda/dispatch.py", line 144, in gotoNext  
    self.moveStep()  
  File "/usr/lib/anaconda/dispatch.py", line 209, in moveStep  
    rc = apply(func, self.bindArgs(args))  
  File "/usr/lib/anaconda/packages.py", line 378, in turnOnFilesystems  
    thefsset.makeFilesystems (instPath)  
  File "/usr/lib/anaconda/fsset.py", line 1043, in makeFilesystems  
     self.labelEntry(entry, chroot) 
  File "/usr/lib/anaconda/fsset.py", line 978, in labelEntry 
    entry.fsystem.labelDevice(entry, chroot) 
  File "/usr/lib/anaconda/fsset.py", line 449, in labelDevice 
    label = labelFactory.createLabel(entry.mountpoint, self.maxLabelChars) 
  File "/usr/lib/anaconda/fsset.py", line 98, in createLabel 
    diskset.startAllRaid() 
  File "/usr/lib/anaconda/partitioning.py", line 1255, in startAllRaid 
    DiskSet.mdList.extend(raid.startAllRaid(driveList)) 
  File "/usr/lib/anaconda/raid.py", line 91, in startAllRaid 
    mdList = scanForRaid(driveList) 
  File "/usr/lib/anaconda/raid.py", line 43, in scanForRaid 
    (major, minor, raidSet, level, nrDisks, totalDisks, mdMinor) =\ 
TypeError: unpack non-sequence 
 
Local variables in innermost frame: 
raidParts: [<PedPartition object at 8bc40c0>] 
dev: hde1 
drives: ['hde', 'hdg', 'sda'] 
disk: <PedDisk object at 8bc4058> 
parts: ['hde1'] 
raidSets: {} 
d: hde 
part: <PedPartition object at 8bc40c0> 
raidDevices: {} 
 
 
Package Group selection status: 
Base: 1
Printing Support: 0 
Classic X Window System: 1 
X Window System: 1 
Laptop Support: 0 
Spelling: 0 
GNOME: 1 
KDE: 0 
Sound and Multimedia Support: 0 
Network Support: 1 
Dialup Support: 0 
Messaging and Web Tools: 1 
Graphics and Image Manipulation: 0 
Network Server: 0 
News Server: 0 
NFS File Server: 1 
Windows File Server: 0 
Anonymous FTP Server: 0 
SQL Database Server: 0 
Web Server: 0 
Router / Firewall: 0 
DNS Name Server: 0 
Network Managed Workstation: 0 
Authoring and Publishing: 1 
Emacs: 1 
Utilities: 1 
Legacy Application Support: 1 
Software Development: 1 
Kernel Development: 1 
Windows Compatibility / Interoperability: 1 
Games and Entertainment: 0 
Everything Include: 0 
Workstation Common: 0 
Server: 0 
Everything: 0 
 
 
Individual package selection status: 
4Suite: 1, Canna: 0, Canna-devel: 0, Canna-libs: 0, Distutils: 1, 
ElectricFence: 0, FreeWnn: 
0, FreeWnn-common: 0, FreeWnn-devel: 0, FreeWnn-libs: 0, GConf: 1, 
GConf-devel: 1, Glide3: 1, 
 Glide3-devel: 1, Gtk-Perl: 0, Guppi: 1, Guppi-devel: 1, ImageMagick: 1, 
ImageMagick-c++: 1, 
ImageMagick-c++-devel: 1, ImageMagick-devel: 1, ImageMagick-perl: 0, LPRng: 1, 
MAKEDEV: 1, Ma 
elstrom: 0, MagicPoint: 0, MyODBC: 0, MySQL-python: 0, ORBit: 1, ORBit-devel: 
1, Omni: 1, Omn 
i-foomatic: 1, PyQt: 0, PyQt-devel: 0, PyQt-examples: 0, PyXML: 1, SDL: 0, 
SDL-devel: 0, SDL_ 
image: 0, SDL_image-devel: 0, SDL_mixer: 0, SDL_mixer-devel: 0, SDL_net: 0, 
SDL_net-devel: 0, 
 SysVinit: 1, VFlib2: 1, VFlib2-VFjfm: 0, VFlib2-conf-ja: 0, VFlib2-devel: 1, 
WindowMaker: 0, 
 WindowMaker-libs: 0, Wnn6-SDK: 0, Wnn6-SDK-devel: 0, XFree86: 1, 
XFree86-100dpi-fonts: 1, XF 
ree86-3DLabs: 0, XFree86-75dpi-fonts: 1, XFree86-8514: 0, XFree86-AGX: 0, 
XFree86-FBDev: 0, X 
Free86-ISO8859-15-100dpi-fonts: 1, XFree86-ISO8859-15-75dpi-fonts: 1, 
XFree86-ISO8859-2-100dp 
i-fonts: 0, XFree86-ISO8859-2-75dpi-fonts: 0, XFree86-ISO8859-9-100dpi-fonts: 
0, XFree86-ISO8 
859-9-75dpi-fonts: 0, XFree86-Mach32: 0, XFree86-Mach64: 0, XFree86-Mach8: 0, 
XFree86-Mono: 0 
, XFree86-P9000: 0, XFree86-S3: 0, XFree86-S3V: 0, XFree86-SVGA: 0, 
XFree86-VGA16: 0, XFree86 
-W32: 0, XFree86-Xnest: 0, XFree86-Xvfb: 0, XFree86-base-fonts: 1, 
XFree86-compat-libs: 1, XF 
ree86-compat-modules: 0, XFree86-cyrillic-fonts: 0, XFree86-devel: 1, 
XFree86-doc: 0, XFree86 
-font-utils: 1, XFree86-libs: 1, XFree86-tools: 1, XFree86-truetype-fonts: 0, 
XFree86-twm: 1, 
 XFree86-xdm: 1, XFree86-xf86cfg: 0, XFree86-xfs: 1, XFree86-xtrap-clients: 0, 
Xaw3d: 1, Xaw3 
d-devel: 1, Xconfigurator: 1, Xdialog: 0, a2ps: 1, abiword: 1, ac-archive: 0, 
adjtimex: 0, al 
chemist: 1, alchemist-devel: 1, alien: 0, am-utils: 0, amanda: 0, 
amanda-client: 0, amanda-de 
vel: 0, amanda-server: 0, ami: 0, ami-gnome: 0, anaconda: 0, anaconda-help: 0, 
anaconda-image 
s: 0, anaconda-runtime: 0, anacron: 1, anonftp: 0, apache: 0, apache-devel: 0, 
apache-manual: 
 
 0, apacheconf: 0, apel: 0, apmd: 1, ark: 0, arpwatch: 0, arts: 1, arts-devel: 
0, ash: 1, asp 
2php: 0, asp2php-gtk: 0, aspell: 1, aspell-ca: 0, aspell-da: 0, aspell-de: 0, 
aspell-devel: 1 
, aspell-en-ca: 0, aspell-en-gb: 1, aspell-es: 0, aspell-fr: 0, aspell-it: 0, 
aspell-nl: 0, a 
spell-no: 0, aspell-pt: 0, aspell-pt_BR: 0, aspell-sv: 0, at: 1, atk: 1, 
atk-devel: 1, audiof 
ile: 1, audiofile-devel: 1, aumix: 1, aumix-X11: 0, auth_ldap: 0, authconfig: 
1, authconfig-g 
tk: 1, autoconf: 1, autoconf253: 1, autoconvert: 0, autoconvert-xchat: 0, 
autofs: 1, automake 
: 1, automake15: 1, autorun: 0, awesfx: 0, balsa: 1, basesystem: 1, bash: 1, 
bash-doc: 0, bc: 
 1, bdflush: 1, bg5ps: 0, bind: 0, bind-devel: 0, bind-utils: 1, bindconf: 0, 
binutils: 1, bi 
son: 1, blas: 0, blas-man: 0, blt: 0, bonobo: 1, bonobo-conf: 1, 
bonobo-conf-devel: 1, bonobo 
-devel: 1, bootparamd: 0, bridge-utils: 0, bridge-utils-devel: 0, bug-buddy: 
1, busybox: 0, b 
usybox-anaconda: 0, byacc: 1, bzip2: 1, bzip2-devel: 1, bzip2-libs: 1, cWnn: 
0, cWnn-common: 
0, cWnn-devel: 0, caching-nameserver: 0, cadaver: 0, cdda2wav: 0, cdecl: 1, 
cdlabelgen: 0, cd 
p: 0, cdparanoia: 0, cdparanoia-devel: 0, cdparanoia-libs: 0, cdrdao: 0, 
cdrecord: 0, cdrecor 
d-devel: 0, cervisia: 0, chkconfig: 1, chkfontpath: 1, chromium: 0, cipe: 1, 
cleanfeed: 0, co 
mpat-egcs: 1, compat-egcs-c++: 1, compat-egcs-g77: 1, compat-egcs-objc: 0, 
compat-glibc: 1, c 
ompat-libs: 0, compat-libstdc++: 1, comsat: 0, console-tools: 1, 
control-center: 1, control-c 
enter-devel: 1, cpio: 1, cpp: 1, cproto: 0, cracklib: 1, cracklib-dicts: 1, 
crontabs: 1, ctag 
s: 1, cups: 1, cups-devel: 1, cups-drivers: 1, cups-drivers-hpijs: 1, 
cups-drivers-pnm2ppa: 1 
, cups-libs: 1, curl: 1, curl-devel: 1, cvs: 1, cyrus-sasl: 1, 
cyrus-sasl-devel: 1, cyrus-sas 
l-gssapi: 0, cyrus-sasl-md5: 1, cyrus-sasl-plain: 1, dateconfig: 1, db1: 1, 
db1-devel: 1, db2 
: 1, db2-devel: 1, db3: 1, db3-devel: 1, db3-utils: 1, db3x: 0, dbskkd-cdb: 0, 
ddd: 1, ddskk: 
 0, ddskk-xemacs: 0, dejagnu: 0, desktop-backgrounds: 1, dev: 1, dev86: 1, 
dhcp: 0, dhcpcd: 1 
, dia: 1, dialog: 1, dictd: 0, dietlibc: 0, diffstat: 1, diffutils: 1, dip: 0, 
diskcheck: 0, 
dmalloc: 0, docbook-dtds: 1, docbook-style-dsssl: 1, docbook-style-xsl: 1, 
docbook-utils: 1, 
docbook-utils-pdf: 1, dos2unix: 1, dosfstools: 1, doxygen: 1, 
doxygen-doxywizard: 0, dtach: 0 
, dump: 1, dvdrecord: 0, e2fsprogs: 1, e2fsprogs-devel: 1, ed: 1, ee: 1, eel: 
1, eel-devel: 1 
, efax: 1, eject: 1, elinks: 1, elm: 0, emacs: 1, emacs-el: 0, emacs-leim: 0, 
emacspeak: 0, e 
nscript: 0, epic: 0, eruby: 0, eruby-devel: 0, eruby-libs: 0, esound: 1, 
esound-devel: 1, eth 
ereal: 0, ethereal-gnome: 0, ethtool: 0, evolution: 1, exmh: 1, expat: 1, 
expat-devel: 1, exp 
ect: 0, extace: 1, fam: 1, fam-devel: 1, fbset: 0, festival: 0, 
festival-devel: 0, fetchmail: 
 1, fetchmailconf: 0, file: 1, filesystem: 1, fileutils: 1, findutils: 1, 
finger: 1, finger-s 
erver: 1, firewall-config: 0, flex: 1, flim: 0, flim-xemacs: 0, 
fonts-ISO8859-2: 0, fonts-ISO 
8859-2-100dpi: 0, fonts-ISO8859-2-75dpi: 0, fonts-ISO8859-2-Type1: 0, 
fonts-ISO8859-7: 0, fon 
ts-ISO8859-7-100dpi: 0, fonts-ISO8859-7-75dpi: 0, fonts-ISO8859-7-Type1: 0, 
fonts-KOI8-R: 0, 
fonts-KOI8-R-100dpi: 0, fonts-KOI8-R-75dpi: 0, fonts-ja: 0, foomatic: 1, 
fortune-mod: 1, free 
civ: 0, freetype: 1, freetype-demos: 0, freetype-devel: 1, freetype-utils: 0, 
ftp: 1, ftpcopy 
: 0, fvwm2: 0, fvwm2-icons: 0, g-wrap: 0, g-wrap-devel: 0, gaim: 1, gal: 1, 
gal-devel: 1, gal 
eon: 1, gated: 0, gawk: 1, gcc: 1, gcc-c++: 1, gcc-chill: 0, gcc-g77: 1, 
gcc-java: 0, gcc-obj 
c: 1, gd: 1, gd-devel: 1, gd-progs: 0, gdb: 1, gdbm: 1, gdbm-devel: 1, 
gdk-pixbuf: 1, gdk-pix 
buf-devel: 1, gdk-pixbuf-gnome: 1, gdm: 1, gedit: 1, genromfs: 0, gettext: 1, 
gftp: 1, ggv: 0 
, ghostscript: 1, ghostscript-fonts: 1, giftrans: 0, gimp: 0, 
gimp-data-extras: 0, gimp-devel 
: 0, gimp-perl: 0, gimp-print-cups: 0, gkermit: 0, gkrellm: 0, glade: 1, glib: 
1, glib-devel: 
 1, glib10: 1, glib2: 1, glib2-devel: 1, glibc: 1, glibc-common: 1, 
glibc-debug: 0, glibc-deb 
ug-static: 0, glibc-devel: 1, glibc-kernheaders: 1, glibc-profile: 0, 
glibc-utils: 0, glms: 0 
, glut: 0, glut-devel: 0, gmp: 1, gmp-devel: 1, gnome-applets: 1, gnome-audio: 
1, gnome-audio 
-extra: 1, gnome-core: 1, gnome-core-devel: 1, gnome-games: 1, 
gnome-games-devel: 1, gnome-ke 
rberos: 0, gnome-libs: 1, gnome-libs-devel: 1, gnome-lokkit: 0, gnome-media: 
0, gnome-mime-da 
ta: 1, gnome-pilot: 1, gnome-pilot-devel: 1, gnome-print: 1, 
gnome-print-devel: 1, gnome-spel 
l: 1, gnome-user-docs: 1, gnome-utils: 1, gnome-vfs: 1, gnome-vfs-devel: 1, 
gnome-vfs-extras: 
  
etc... 
Dispatcher instance, containing members: 
skipSteps: {'reconfigwelcome': 1, 'addswap': 1, 'upgbootloader': 1, 
'indivpackage': 1, 'upgra 
demigratefs': 1, 'findpackages': 1, 'reconfigkeyboard': 1, 'makebootdisk': 1, 
'bootloaderpass 
word': 1, 'dependencies': 1, 'autopartitionexecute': 1, 'upgrademount': 1, 
'autopartition': 1 
, 'confirmupgrade': 1, 'fdisk': 1, 'upgradeswapsuggestion': 1, 
'upgrademigfind': 1, 'findinst 
all': 1, 'findrootparts': 1, 'reconfigcomplete': 1, 'upgradecontinue': 1} 
dir: 1 
id: InstallData instance, containing members: 
  configFileData: {'Splashscreen': pixmaps/first.png, 'WelcomeScreen': 
pixmaps/splash.png, 'T 
itleBar': pixmaps/anaconda_header.png, 'Title': Red Hat Linux} 
  upgradeSwapInfo: None 
  langSupport: Language instance, containing members: 
    langList: None 
    allSupportedLangs: None 
    supported: [English (Great Britain)] 
    langNicks: None 
    default: English (Great Britain) 
    langInfoByName: {'Spanish (Colombia)': ('es_CO', 'iso15', 'lat0-sun16'), 
'Spanish (Argent 
ina)': ('es_AR', 'iso15', 'lat0-sun16'), 'Italian (Italy)': ('it_IT@euro', 
'iso15', 'lat0-sun 
 
etc... 
 
    current: en_US 
  instProgress: InstallProgressWindow instance, containing members: 
    pixtimer: Timer instance, containing members: 
      total: 0 
      startedAt: 1031744497.2 
    progress: GtkProgressBar instance, containing members: 
      _o: <GtkObject of type GtkProgressBar at 8bc9e68> 
    ics: InstallControlState instance, containing members: 
      nextButton: Button_Next 
      cw: InstallControlWindow instance, containing members: 
        buff: None 
        configFileData: {'Splashscreen': pixmaps/first.png, 'WelcomeScreen': 
pixmaps/splash.p 
ng, 'TitleBar': pixmaps/anaconda_header.png, 'Title': Red Hat Linux} 
        bin: GtkFrame instance, containing members: 
          _o: <GtkObject of type GtkFrame at 85e3f00> 
        langSearchPath: [en_US, en, C] 
        helpState: 1 
        showHelpButton: GnomePixmapButton instance, containing members: 
          _o: <GtkObject of type GtkButton at 8526370> 
        html: GtkXmHTML instance, containing members: 
          _o: <GtkObject of type GtkXmHTML at 8256308> 
        window: GtkWindow instance, containing members: 
          _o: <GtkObject of type GtkWindow at 84e8c88> 
        prevButtonStock: GnomePixmapButton instance, containing members: 
          _o: <GtkObject of type GtkButton at 8526298> 
        helpFrame: GtkFrame instance, containing members: 
          _o: <GtkObject of type GtkFrame at 843f7a8> 
        box: GtkVBox instance, containing members: 
          _o: <GtkObject of type GtkVBox at 875ce88> 
        hbox: GtkHBox instance, containing members: 
          _o: <GtkObject of type GtkHBox at 81aeec8> 
        releaseButton: GnomePixmapButton instance, containing members: 
          _o: <GtkObject of type GtkButton at 8526328> 
        table: GtkTable instance, containing members: 
          _o: <GtkObject of type GtkTable at 876f3b0> 
        windowList: [] 
        installFrame: GtkFrame instance, containing members: 
          _o: <GtkObject of type GtkFrame at 87452a8> 
        currentWindow: Already dumped 
        ii: InstallInterface instance, containing members: 
          ppw: Already dumped 
          dispatch: Already dumped 
          runres: 800x600 
          icw: Already dumped 
        reloadRcQueued: 0 
        dispatch: Already dumped 
        dir: 1 
        nextButtonStock: GnomePixmapButton instance, containing members: 
          _o: <GtkObject of type GtkButton at 85262e0> 
        hideHelpButton: GnomePixmapButton instance, containing members: 
          _o: <GtkObject of type GtkButton at 85263b8> 
        buttonBox: GtkHButtonBox instance, containing members: 
          _o: <GtkObject of type GtkHButtonBox at 850f038> 
        handle: 1298 
        stockButtons: [('Button_Prev', 'prevButtonStock', 'Back', <method 
InstallControlWindo 
w.prevClicked of InstallControlWindow instance at 855b378>), ('Button_Next', 
'nextButtonStock 
', 'Next', <method InstallControlWindow.nextClicked of InstallControlWindow 
instance at 855b3 
78>), ('Button_Help', 'releaseButton','Release Notes', <method 
InstallControlWindow.releaseC 
licked of InstallControlWindow instance at 855b378>), ('Button_Help', 
'showHelpButton', 'Show 
 Help', <method InstallControlWindow.helpClicked of InstallControlWindow 
instance at 855b378> 
), ('Button_Help', 'hideHelpButton', 'Hide Help', <method 
InstallControlWindow.helpClicked of 
 InstallControlWindow instance at 855b378>)] 
        displayHelp: 1 
      prevEnabled: 0 
      prevButton: Button_Prev 
      htmlFile: installing 
      html: 
      helpEnabled: 3 
      nextEnabled: 0 
      nextButtonInfo: None 
      title: Installing Packages 
      grabNext: 0 
      prevButtonLabel: None 
      searchPath: [./, /usr/share/anaconda/, ./] 
      helpButtonEnabled: 0 
      nextButtonLabel: None 
    numComplete: 0 
    curPackage: {'package': GtkLabel instance, containing members: 
      _o: <GtkObject of type GtkLabel at 865cd38> 
, 'summary': GtkLabel instance, containing members: 
      _o: <GtkObject of type GtkLabel at 8ae3d78> 
, 'size': GtkLabel instance, containing members: 
      _o: <GtkObject of type GtkLabel at 8ae3cd0> 
} 
    frobnicatingClist: 1 
    clist: GtkCList instance, containing members: 
      _o: <GtkObject of type GtkCList at 8ba3058> 
    adpix: GtkPixmap instance, containing members: 
      _o: <GtkObject of type GtkPixmap at 8c08890> 
    totalProgress: GtkProgressBar instance, containing members: 
      _o: <GtkObject of type GtkProgressBar at 8b72d40> 
    adbox: GtkEventBox instance, containing members: 
      _o: <GtkObject of type GtkEventBox at 8c089c8> 
    sizeComplete: 0 
    pixcurnum: 0 
    intf: Already dumped 
    pixmaps: [rnotes/en/f01rh7-3is_p_rhce1.png, 
rnotes/en/f02rh7-3is_dyk_car.png, rnotes/en/f 
03rh7-3is_p_utb.png, rnotes/en/f04rh7-3is_h_plumbing.png, 
rnotes/en/f05rh7-3is_p_activate.png 
, rnotes/en/f06rh7-3is_dyk_hat1.png, rnotes/en/f07rh7-3is_p_rhn1.png, 
rnotes/en/f08rh7-3is_dy 
k_hat2.png, rnotes/en/f09rh7-3is_p_elearning.png, 
rnotes/en/f10rh7-3is_dyk_hat3.png, rnotes/e 
n/f11rh7-3is_intermission.png, rnotes/en/f12rh7-3is_p_rhce2.png, 
rnotes/en/f13rh7-3is_t_q_lan 
guage.png, rnotes/en/f14rh7-3is_p_rhn2.png, 
rnotes/en/f15rh7-3is_t_a_language.png, rnotes/en/ 
f16rh7-3is_dyk_training.png, rnotes/en/f17rh7-3is_h_halloween.png, 
rnotes/en/f18rh7-3is_p_rhn 
3.png, rnotes/en/f19rh7-3is_t_q_how.png, rnotes/en/f20rh7-3is_p_support.png, 
rnotes/en/f21rh7 
-3is_t_a_how.png] 
    status: {'total': {'packages': (0, 1), 'time': (0, 3), 'size': (0, 2)}, 
'completed': {'pa 
ckages': (1, 1), 'time': (1, 3), 'size': (1, 2)}, 'remaining': {'packages': 
(2, 1), 'time': ( 
2, 3), 'size': (2, 2)}} 
  desktop: Desktop instance, containing members: 
    runlevel: 5 
    info: {'DESKTOP': GNOME} 
  videocard: primary: 0 
vidCards: [<videocard.VideoCard instance at 81b9c48>] 
Primary Video Card Info: 
device: fb0 
descr : S3 Savage4 
server: XFree86 
cardManf: S3 Incorporated. Savage4 
vidRam: 8192
carddata: {'SERVER': 'SVGA', 'SEE': 'S3 Savage4 (generic)', 'DRIVER': 
'savage', 'LINE': ' 
 # Option "no_accel"\011# You may enable this if there are timeouts when 
starting X\012     # 
Option "xaa_benchmark"', 'NOCLOCKPROBE': '', 'NAME': 'S3 Savage4', 'VENDOR': 
'S3 Incorporated 
. Savage4', 'CHIPSET': 'S3 Savage'} 
devID: S3 Savage4 
fbmodes: None 
fbbpp: None 
 
  floppyDevice: fd0 
  xconfig: XF86Config instance, containing members: 
    keyLayout: gb 
    manualModes: {} 
    mouse: FULLNAME="Generic - 2 Button Mouse (PS/2)" 
MOUSETYPE="ps/2" 
XEMU3="yes" 
XMOUSETYPE="PS/2" 
 
    monlist: {} 
    keyRules: xfree86 
    keyModel: pc102 
    device: None 
    monids: {} 
    files: 
# The location of the RGB database.  Note, this is the name of the 
# file minus the extension (like ".txt" or ".db").  There is normally 
# no need to change the default. 
 
    RgbPath     "/usr/X11R6/lib/X11/rgb" 
 
# Multiple FontPath entries are allowed (they are concatenated together) 
# By default, Red Hat 6.0 and later now use a font server independent of 
# the X server to render fonts. 
 
    FontPath   "unix/:7100" 
 
    keyVariant: basic 
    videocard: device: fb0 
descr : S3 Savage4 
server: XFree86 
cardManf: S3 Incorporated. Savage4 
vidRam: 8192 
carddata: {'SERVER': 'SVGA', 'SEE': 'S3 Savage4 (generic)', 'DRIVER': 
'savage', 'LINE': ' 
 # Option "no_accel"\011# You may enable this if there are timeouts when 
starting X\012     # 
Option "xaa_benchmark"', 'NOCLOCKPROBE': '', 'NAME': 'S3 Savage4', 'VENDOR': 
'S3 Incorporated 
. Savage4', 'CHIPSET': 'S3 Savage'} 
devID: S3 Savage4 
fbmodes: None 
fbbpp: None 
 
    keyOptions: 
    modes: {'16': ['640x480', '800x600', '1024x768', '1152x864', '1280x1024', 
'1400x1050', '1 
600x1200', '1920x1440', '2048x1536'], '32': ['640x480', '800x600', '1024x768', 
'1152x864', '1 
280x1024', '1400x1050', '1600x1200'], '8': ['640x480', '800x600', '1024x768', 
'1152x864', '12 
80x1024', '1400x1050', '1600x1200', '1920x1440', '2048x1536']} 
    res: 800x600 
    monitor: monEisa: sun0587 
monName: GH18PS 
monID: SUN0587 
fbmonSect: Section "Monitor" 
    Identifier  "Probed Monitor" 
    VendorName  "Unknown" 
    ModelName   "Unknown" 
    HorizSync   46.876 
    VertRefresh 75.121 
    ModeLine    "800x600" 48.002 800 832 928 1024 600 604 608 624 -HSync 
-VSync 
EndSection 
 
monHoriz: 30-81 
monVert: 56-75 
 
    skipx: 0 
    fallbackModes: {'16': ['800x600']} 
    skip: 0 
    fbDepth: 16 
  monitor: Already dumped 
  upgrade: Boolean instance, containing members: 
    val: 0 
  instClass: InstallClass instance, containing members: 
  partitions: Partitions instance, containing members: 
    deletes: [drive: sda  start: 2233035L  end: 3245129L 
, drive: sda  start: 63L  end: 192779L 
, drive: sda  start: 3245193L  end: 17767889L 
, drive: sda  start: 3245130L  end: 17767889L 
, drive: sda  start: 192780L  end: 2233034L 
] 
    autoPartitionRequests: [mountpoint: /   type: ext3   uniqueID:None 
  size: 700M   requestSize: 700M  grow: 1   max: None 
  start: None   end: None   partnum: None 
  drive: None   primary: None 
  format: 1, options: None  device: None, currentDrive: None 
  raidlevel: None  raidspares: None  raidmembers: [] 
, mountpoint: /boot   type: ext3   uniqueID:None 
  size: 50M   requestSize: 50M  grow: 0   max: None 
  start: None   end: None   partnum: None 
  drive: None   primary: None 
  format: 1, options: None  device: None, currentDrive: None 
  raidlevel: None  raidspares: None  raidmembers: [] 
, mountpoint: None   type: swap   uniqueID:None 
  size: 1000M   requestSize: 1000M  grow: 1   max: 2000 
  start: None   end: None   partnum: None 
  drive: None   primary: None 
  format: 1, options: None  device: None, currentDrive: None 
  raidlevel: None  raidspares: None  raidmembers: [] 
] 
    isKickstart: 0 
    zeroMbr: 0 
    requests: [mountpoint: /boot   type: ext3   uniqueID:8 
  size: 200M   requestSize: 200M  grow: None   max: None 
  start: None   end: None   partnum: None 
  drive: ['sda']   primary: None 
  format: 1, options: None  device: sda1, currentDrive: sda 
  raidlevel: None  raidspares: None  raidmembers: [] 
, mountpoint: None   type: None   uniqueID:2 
  size: 19541.2895508M   requestSize: 19541.2895508M  grow: 0   max: None 
  start: 63L   end: 40020623L   partnum: None 
  drive: hdg   primary: None 
  format: None, options: None  device: hdg-1, currentDrive: None 
  raidlevel: None  raidspares: None  raidmembers: [] 
, mountpoint: None   type: None   uniqueID:1 
  size: 19541.2895508M   requestSize: 19541.2895508M  grow: 0   max: None 
  start: 63L   end: 40020623L   partnum: None 
  drive: hde   primary: None 
  format: None, options: None  device: hde-1, currentDrive: None 
  raidlevel: None  raidspares: None  raidmembers: [] 
, mountpoint: None   type: swap   uniqueID:9 
  size: 1000M   requestSize: 1000M  grow: None   max: None 
  start: None   end: None   partnum: None 
  drive: ['sda']   primary: None 
  format: 1, options: None  device: sda2, currentDrive: sda 
  raidlevel: None  raidspares: None  raidmembers: [] 
, mountpoint: /var   type: ext3   uniqueID:10 
  size: 500M   requestSize: 500M  grow: None   max: None 
  start: None   end: None   partnum: None 
  drive: ['sda']   primary: None 
  format: 1, options: None  device: sda3, currentDrive: sda 
  raidlevel: None  raidspares: None  raidmembers: [] 
, mountpoint: None   type: software RAID   uniqueID:14 
  size: NoneM   requestSize: NoneM  grow: 0   max: None 
  start: 1   end: 39703   partnum: None 
  drive: ['hde']   primary: None 
  format: 1, options: None  device: hde1, currentDrive: hde 
  raidlevel: None  raidspares: None  raidmembers: [] 
, mountpoint: None   type: software RAID   uniqueID:16 
  size: NoneM   requestSize: NoneM  grow: 0   max: None 
  start: 1   end: 39703   partnum: None 
  driv  format: 1, options: None  device: hdg1, currentDrive: hdg 
  raidlevel: None  raidspares: None  raidmembers: [] 
, mountpoint: /   type: ext3   uniqueID:12 
  size: 1M   requestSize: 6973.49707031M  grow: 1   max: None 
  start: None   end: None   partnum: None 
  drive: ['sda']   primary: None 
  format: 1, options: None  device: sda5, currentDrive: sda 
  raidlevel: None  raidspares: None  raidmembers: [] 
] 
    autoClearPartDrives: [] 
    reinitializeDisks: 0 
    nextUniqueID: 18 
    autoClearPartType: 1 
    useAutopartitioning: 0 
    useFdisk: 0 
  extraModules: [] 
  mouse: Already dumped 
  bootloader: x86BootloaderInfo instance, containing members: 
    useGrubVal: 0 
    forceLBA32: 0 
    password: None 
    images: BootImages instance, containing members: 
     images: {'sda5': ('linux', 'Red Hat Linux', 'ext3')} 
      default: sda5 
    pure: None 
    device: sda1 
    configfile: /etc/lilo.conf 
    above1024: 1 
    kernelLocation: /boot/ 
    args: KernelArguments instance, containing members: 
      args: 
    defaultDevice: None 
    useLinear: 1 
    doUpgradeOnly: 0 
    kickstart: 0 
  timezone: Timezone instance, containing members: 
    dst: 0 
    tz: Europe/London 
    arc: 0 
    utcOffset: 0 
    utc: 0 
  keyboard: Keyboard instance, containing members: 
    beenset: 1 
    layout: None 
    model: None 
    type: PC 
    info: {'KEYBOARDTYPE': pc, 'KEYTABLE': uk} 
  accounts: None 
  dependencies: [] 
  comps: None 
  upgradeRoot: None 
  auth: Authentication instance, containing members: 
    useNIS: 0 
    nisServer: 
    useLdap: 0 
    krb5Kdc: 
    useHesiod: 0 
    ldapServer: 
    hesiodRhs: 
    useLdapauth: 0 
    enableCache: 0 
    krb5Admin: 
    ldapBasedn: 
    useSamba: 0 
    krb5Realm: 
    useMD5: 1 
    ldapTLS: 0 
    sambaWorkgroup: 
    nisDomain: 
    sambaServer: 
    useShadow: 1 
    nisuseBroadcast: 1 
    useKrb5: 0 
    hesiodLhs: 
  upgradeDeps: 
  firewall: Firewall instance, containing members: 
    ports: [] 
    trustdevs: [eth0] 
    dhcp: 0 
    policy: 1 
    ssh: 1 
    custom: 1 
    telnet: 1 
    smtp: 0 
    enabled: 1 
    portlist: 
    http: 0 
    ftp: 0 
  handleDeps: 0 
  dbpath: None 
  network: Network instance, containing members: 
    netdevices: {'eth0': DEVICE=eth0 
BOOTPROTO=static 
IPADDR=192.168.3.100 
NETMASK=255.255.255.0 
ONBOOT=yes 
 
, 'eth1': DEVICE=eth1 
ONBOOT=no 
 
, 'eth2': DEVICE=eth2 
ONBOOT=no 
 
} 
    gateway: 
    secondaryNS: 
    hostname: tosca.osc.ox.ac.uk 
    primaryNS: 
    domains: [] 
    isConfigured: 0 
    ternaryNS: 
  fsset: FileSystemSet instance, containing members: 
    migratedfs: 0 
    mountcount: 1 
    entries: [FileSystemSetEntry instance, containing members: 
      origfsystem: None 
      mountcount: 0 
      options: defaults 
      order: 0 
      mountpoint: None 
      device: PartitionDevice instance, containing members: 
        label: None 
        isSetup: 0 
        fsoptions: {} 
        device: hde1 
      label: None 
      fsck: 0 
      fsystem: raidMemberDummyFileSystem instance, containing members: 
        maxLabelChars: 16 
        partedFileSystemType: <PedFileSystemType object at 82d72e0> 
        formattable: 1 
        extraFormatArgs: [] 
        extraFormatArgs: [] 
        maxSize: 2097152 
        defaultOptions: defaults 
        linuxnativefs: 1 
        deviceArguments: {} 
        migratetofs: None 
        name: software RAID 
        checked: 0 
        partedPartitionFlags: [5] 
        supported: 1 
      migrate: 0 
      format: 1 
      badblocks: 0 
, FileSystemSetEntry instance, containing members: 
      origfsystem: None 
      mountcount: 0 
      options: defaults 
      order: 0 
      mountpoint: None 
      device: PartitionDevice instance, containing members: 
        label: None 
        isSetup: 0 
        fsoptions: {} 
        fsoptions: {} 
        device: hdg1 
      label: None 
      fsck: 0 
      fsystem: Already dumped 
      migrate: 0 
      format: 1 
      badblocks: 0 
, FileSystemSetEntry instance, containing members: 
      origfsystem: None 
      mountcount: 0 
      options: defaults 
      order: 1 
      mountpoint: / 
      device: PartitionDevice instance, containing members: 
        label: None 
        isSetup: 0 
        fsoptions: {} 
        device: sda5 
      label: None 
      fsck: 1 
      fsystem: ext3FileSystem instance, containing members: 
        maxLabelChars: 16 
        maxLabelChars: 16 
        partedFileSystemType: <PedFileSystemType object at 82e83f0> 
        formattable: 1 
        extraFormatArgs: [-j] 
        maxSize: 2097152 
        defaultOptions: defaults 
        linuxnativefs: 1 
        deviceArguments: {} 
        migratetofs: None 
        name: ext3 
        checked: 1 
        partedPartitionFlags: [] 
        supported: -1 
      migrate: 0 
      format: 1 
      badblocks: 0 
, FileSystemSetEntry instance, containing members: 
      origfsystem: None 
      mountcount: 0 
      options: defaults 
      order: 2 
      mountpoint: /boot 
      device: PartitionDevice instance, containing members: 
        label: None 
        isSetup: 0 
        fsoptions: {} 
        device: sda1 
      label: None 
      fsck: 1 
      fsystem: Already dumped 
      migrate: 0 
      format: 1 
      badblocks: 0 
, FileSystemSetEntry instance, containing members: 
      origfsystem: None 
      mountcount: 0 
      options: gid=5,mode=620 
      order: 0 
      mountpoint: /dev/pts 
      device: Device instance, containing members: 
        label: None 
        isSetup: 0 
        fsoptions: {} 
        device: none 
      label: None 
      fsck: 0 
      fsystem: DevptsFileSystem instance, containing members: 
        maxLabelChars: 16 
        partedFileSystemType: None 
        formattable: 0 
        extraFormatArgs: [] 
        maxSize: 2097152 
        defaultOptions: gid=5,mode=620 
    linuxnativefs: 0 
        deviceArguments: {} 
        migratetofs: None 
        name: devpts 
        checked: 0 
        partedPartitionFlags: [] 
        supported: 0 
      migrate: 0 
      format: 0 
      badblocks: 0 
, FileSystemSetEntry instance, containing members: 
      origfsystem: None 
      mountcount: 0 
      options: defaults 
      order: 0 
      mountpoint: /proc 
      device: Device instance, containing members: 
        label: None 
        isSetup: 0 
        fsoptions: {} 
        device: none 
      label: None 
      fsck: 0 
      fsystem: ProcFileSystem instance, containing members: 
        maxLabelChars: 16 
        partedFileSystemType: None 
        formattable: 0 
        extraFormatArgs: [] 
        maxSize: 2097152 
        defaultOptions: defaults 
        linuxnativefs: 0 
        deviceArguments: {} 
        migratetofs: None 
        name: proc 
        checked: 0 
            supported: 0 
      migrate: 0 
      format: 0 
      badblocks: 0 
, FileSystemSetEntry instance, containing members: 
      origfsystem: None 
      mountcount: 0 
      options: defaults 
      order: 2 
      mountpoint: /var 
      device: PartitionDevice instance, containing members: 
        label: None 
        isSetup: 0 
        fsoptions: {} 
        device: sda3 
      label: None 
      fsck: 1 
      fsystem: Already dumped 
      migrate: 0 
      format: 1 
      badblocks: 0 
, FileSystemSetEntry instance, containing members: 
    partedPartitionFlags: [] 
      origfsystem: None 
      mountcount: 1 
      options: defaults 
      order: 0 
      mountpoint: swap 
      device: PartitionDevice instance, containing members: 
        label: None 
        isSetup: 0 
        fsoptions: {} 
        device: sda2 
      label: None 
      fsck: 0 
      fsystem: swapFileSystem instance, containing members: 
        maxLabelChars: 16 
        partedFileSystemType: <PedFileSystemType object at 82eaad8> 
        formattable: 1 
        extraFormatArgs: [] 
        maxSize: 2048 
        defaultOptions: defaults 
        linuxnativefs: 1 
        deviceArguments: {} 
        migratetofs: None 
        name: swap 
        checked: 0 
        partedPartitionFlags: [] 
        supported: 1 
      migrate: 0 
      format: 1 
      badblocks: 0 
] 
    progressWindow: <method InstallInterface.progressWindow of 
InstallInterface instance at 8 
68c298> 
    waitWindow: <method InstallInterface.waitWindow of InstallInterface 
instance at 868c298> 
    messageWindow: <method InstallInterface.messageWindow of InstallInterface 
instance at 868 
c298> 
  hdList: None 
firstStep: 0 
method: CdromInstallMethod instance, containing members: 
  progressWindow: <method InstallInterface.progressWindow of InstallInterface 
instance at 868 
c298> 
  device: hda 
  tree: /mnt/source 
  currentDisc: 1 
  loopbackFile: None 
  messageWindow: <method InstallInterface.messageWindow of InstallInterface 
instance at 868c2 
98> 
instPath: /mnt/sysimage 
flags: Flags instance, containing members: 
  flags: {'autostep': 0, 'expert': 0, 'setupFilesystems': 1, 'serial': 0, 
'reconfig': 0, 'tes 
t': 0} 
intf: Already dumped 
step: 45 
dispatch: Already dumped 
 
 
/tmp/syslog: 
<4>Linux version 2.4.18-3BOOT (bhcompile@stripples.devel.redhat.com) (gcc 
version 2.96 200007 
31 (Red Hat Linux 7.3 2.96-110)) #1 Thu Apr 18 06:53:28 EDT 2002 
<6>BIOS-provided physical RAM map: 
<4> BIOS-e820: 0000000000000000 - 000000000009d000 (usable) 
<4> BIOS-e820: 000000000009d000 - 00000000000a0000 (reserved) 
<4> BIOS-e820: 00000000000e0000 - 0000000000100000 (reserved) 
<4> BIOS-e820: 0000000000100000 - 000000003fffce00 (usable) 
<4> BIOS-e820: 000000003fffce00 - 0000000040000000 (ACPI data) 
<4> BIOS-e820: 00000000fec00000 - 00000000fec01000 (reserved) 
<4> BIOS-e820: 00000000fee00000 - 00000000fee01000 (reserved) 
<4> BIOS-e820: 00000000fff80000 - 0000000100000000 (reserved) 
<4>Warning only 896MB will be used. 
<4>Use a HIGHMEM enabled kernel. 
<4>found SMP MP-table at 0009e140 
<4>hm, page 0009e000 reserved twice. 
<4>hm, page 0009f000 reserved twice. 
<4>hm, page 0009e000 reserved twice. 
<4>hm, page 0009f000 reserved twice. 
<4>WARNING: MP table in the EBDA can be UNSAFE, contact 
linux-smp@vger.kernel.org if you expe 
rience SMP problems! 
<4>On node 0 totalpages: 229376 
<4>zone(0): 4096 pages. 
<4>zone(1): 225280 pages. 
<4>zone(2): 0 pages. 
<4>Intel MultiProcessor Specification v1.4 
<4>    Virtual Wire compatibility mode. 
<4>OEM ID: IBM GNK  Product ID: Teton SMP    APIC at: 0xFEE00000 
<4>Processor #1 Pentium(tm) Pro APIC version 17 
<4>Processor #0 Pentium(tm) Pro APIC version 17 
<4>I/O APIC #14 Version 17 at 0xFEC00000. 
<4>I/O APIC #15 Version 17 at 0xFEC01000. 
<4>Processors: 2 
<6>IBM machine detected. Enabling interrupts during APM calls. 
<4>Kernel command line: initrd=initrd.img lang= devfs=nomount 
ramdisk_size=8192 vga=788 BOOT_ 
IMAGE=vmlinuz auto 
<6>Initializing CPU#0 
<4>Detected 664.621 MHz processor. 
<4>Console: colour dummy device 80x25 
<4>Calibrating delay loop... 1327.10 BogoMIPS 
<6>Memory: 901516k/917504k available (1092k kernel code, 15592k reserved, 327k 
data, 160k ini 
t, 0k highmem) 
<6>Dentry cache hash table entries: 131072 (order: 8, 1048576 bytes) 
<6>Inode cache hash table entries: 65536 (order: 7, 524288 bytes) 
<4>Mount-cache hash table entries: 16384 (order: 5, 131072 bytes) 
<6>Buffer cache hash table entries: 65536 (order: 6, 262144 bytes) 
<4>Page-cache hash table entries: 262144 (order: 8, 1048576 bytes) 
<7>CPU: Before vendor init, caps: 0387fbff 00000000 00000000, vendor = 0 
<6>CPU: L1 I cache: 16K, L1 D cache: 16K 
<6>CPU: L2 cache: 256K 
<7>CPU: After vendor init, caps: 0387fbff 00000000 00000000 00000000 
<5>CPU serial number disabled. 
<6>Intel machine check architecture supported. 
<6>Intel machine check reporting enabled on CPU#0. 
<7>CPU:After generic, caps: 0383fbff 00000000 00000000 00000000 
<7>CPU:             Common caps: 0383fbff 00000000 00000000 00000000 
<4>CPU: Intel Pentium III (Coppermine) stepping 03 
<6>Enabling fast FPU save and restore... done. 
<6>Enabling unmasked SIMD FPU exception support... done. 
<6>Checking 'hlt' instruction... OK. 
<6>Checking for popad bug... OK. 
<4>POSIX conformance testing by UNIFIX 
<4>mtrr: v1.40 (20010327) Richard Gooch (rgooch@atnf.csiro.au) 
<4>mtrr: detected mtrr type: Intel 
<6>PCI: PCI BIOS revision 2.10 entry at 0xfd2fc, last bus=4 
<6>PCI: Using configuration type 1 
<6>PCI: Probing PCI hardware 
<6>PCI: Discovered peer bus 01 
<6>Linux NET4.0 for Linux 2.4 
<6>Based upon Swansea University Computer Society NET3.039 
<4>Initializing RT netlink socket 
<4>Starting kswapd 
<6>vesafb: framebuffer at 0xf0000000, mapped to 0xf880d000, size 8192k 
<6>vesafb: mode is 800x600x16, linelength=1600, pages=7 
<6>vesafb: protected mode interface info at c000:79b6 
<6>vesafb: scrolling: redraw 
<6>vesafb: directcolor: size=0:5:6:5, shift=0:11:5:0 
<4>Console: switching to colour frame buffer device 100x37 
<6>fb0: VESA VGA frame buffer device 
<4>pty: 256 Unix98 ptys configured 
<6>Serial driver version 5.05c (2001-07-08) with MANY_PORTS SHARE_IRQ 
SERIAL_PCI enabled 
<6>ttyS00 at 0x03f8 (irq = 4) is a 16550A 
<6>ttyS01 at 0x02f8 (irq = 3) is a 16550A 
<4>block: 1024 slots per queue, batch=256 
<6>Uniform Multi-Platform E-IDE driver Revision: 6.31 
<4>ide: Assuming 33MHz system bus speed for PIO modes; override with idebus=xx 
<4>PDC20262: IDE controller on PCI bus 00 dev 50 
<4>PDC20262: chipset revision 1 
<4>PDC20262: not 100% native mode: will probe irqs later 
<4>PDC20262: (U)DMA Burst Bit ENABLED Primary PCI Mode Secondary PCI Mode. 
<4>    ide2: BM-DMA at 0x2040-0x2047, BIOS settings: hde:DMA, hdf:pio 
<4>    ide3: BM-DMA at 0x2048-0x204f, BIOS settings: hdg:DMA, hdh:DMA 
<4>SvrWks OSB4: IDE controller on PCI bus 00 dev 79 
<4>SvrWks OSB4: chipset revision 0 
<4>SvrWks OSB4: not 100% native mode: will probe irqs later 
<4>    ide0: BM-DMA at 0x0840-0x0847, BIOS settings: hda:DMA, hdb:pio 
<4>    ide1: BM-DMA at 0x0848-0x084f, BIOS settings: hdc:pio, hdd:pio 
<4>hda: CRD-8400B, ATAPI CD/DVD-ROM drive 
<4>hde: Maxtor 52049U4, ATA DISK drive 
<4>hdg: Maxtor 52049U4, ATA DISK drive 
<4>ide0 at 0x1f0-0x1f7,0x3f6 on irq 14 
<4>ide2 at 0x2020-0x2027,0x202a on irq 10 
<4>ide3 at 0x2030-0x2037,0x202e on irq 10 
<4>blk: queue c02c2ecc, I/O limit 4095Mb (mask 0xffffffff) 
<6>hde: 40020624 sectors (20491 MB) w/2048KiB Cache, CHS=39703/16/63, UDMA(66) 
<4>blk: queue c02c3230, I/O limit 4095Mb (mask 0xffffffff) 
<6>hdg: 40020624 sectors (20491 MB) w/2048KiB Cache, CHS=39703/16/63, UDMA(66) 
<4>hda: ATAPI 40X CD-ROM drive, 128kB Cache 
<6>Uniform CD-ROM driver Revision: 3.12 
<4>ide-floppy driver 0.99.newide 
<6>Partition check: 
<6> hde: 
<6> hdg: 
<6>Floppy drive(s): fd0 is 1.44M 
<6>FDC 0 is a National Semiconductor PC87306 
<4>RAMDISK driver initialized: 16 RAM disks of 8192K size 1024 blocksize 
<6>loop: loaded (max 8 devices) 
<4>ide-floppy driver 0.99.newide 
<6>usb.c: registered new driver usbdevfs 
<6>usb.c: registered new driver hub 
<6>usb-uhci.c: $Revision: 1.275 $ time 06:55:51 Apr 18 2002 
<6>usb-uhci.c: High bandwidth mode enabled 
<6>usb-uhci.c: v1.275:USB Universal Host Controller Interface driver 
<6>usb-ohci.c: USB OHCI at membase 0xf900e000, IRQ 9 
<6>usb-ohci.c: usb-00:0f.2, PCI device 1166:0220 
<6>usb.c: new USB bus registered, assigned bus number 1 
<6>hub.c: USB hub found 
<6>hub.c: 4 ports detected 
<6>usb.c: registered new driver hiddev 
<6>usb.c: registered new driver hid 
<6>hid-core.c: v1.8.1 Andreas Gal, Vojtech Pavlik <vojtech@suse.cz> 
<6>hid-core.c: USB HID support drivers 
<6>mice: PS/2 mouse device common for all mice 
<6>md: md driver 0.90.0 MAX_MD_DEVS=256, MD_SB_DISKS=27 
<6>md: Autodetecting RAID arrays. 
<6>md: autorun ... 
<6>md: ... autorun DONE. 
<6>NET4: Linux TCP/IP 1.0 for NET4.0 
<6>IP Protocols: ICMP, UDP, TCP 
<6>IP: routing cache hash table of 8192 buckets, 64Kbytes 
<6>TCP: Hash tables configured (established 262144 bind 65536) 
<6>NET4: Unix domain sockets 1.0/SMP for Linux NET4.0. 
<5>RAMDISK: Compressed image found at block 0 
<6>Freeing initrd memory: 1976k freed 
<4>VFS: Mounted root (ext2 filesystem). 
<6>SCSI subsystem driver Revision: 1.00 
<6>Initializing USB Mass Storage driver... 
<6>usb.c: registered new driver usb-storage 
<6>USB Mass Storage support registered. 
<4>eepro100.c:v1.09j-t 9/29/99 Donald Becker 
http://www.scyld.com/network/eepro100.html 
<4>eepro100.c: $Revision: 1.36 $ 2000/11/17 Modified by Andrey V. Savochkin 
<saw@saw.sw.com.s 
g> and others 
<6>eth0: PCI device 8086:1229, 00:90:27:25:98:4E, IRQ 15. 
<6>  Receiver lock-up bug exists -- enabling work-around. 
<6>  Board assembly 689661-004, Physical connectors present: RJ45 
<6>  Primary interface chip i82555 PHY #1. 
<6>  General self-test: passed. 
<6>  Serial sub-system self-test: passed. 
<6>  Internal registers self-test: passed. 
<6>  ROM checksum self-test: passed (0x24c9f043). 
<6>  Receiver lock-up workaround activated. 
<6>eth1: PCI device 8086:1229, 00:90:27:25:92:75, IRQ 11. 
<6>  Receiver lock-up bug exists -- enabling work-around. 
<6>  Board assembly 689661-004, Physical connectors present: RJ45 
<6>  Primary interface chip i82555 PHY #1. 
<6>  General self-test: passed. 
<6>  Serial sub-system self-test: passed. 
<6>  Internal registers self-test: passed. 
<6>  ROM checksum self-test: passed (0x24c9f043). 
<6>  Receiver lock-up workaround activated. 
<6>usb.c: deregistering driver usb-storage 
<6>scsi0 : Adaptec AIC7XXX EISA/VLB/PCI SCSI HBA DRIVER, Rev 6.2.5 
<4>        <Adaptec aic7899 Ultra160 SCSI adapter> 
<4>        aic7899: Ultra160 Wide Channel A, SCSI Id=7, 32/253 SCBs 
<4> 
<6>scsi1 : Adaptec AIC7XXX EISA/VLB/PCI SCSI HBA DRIVER, Rev6.2.5 
<4>        <Adaptec aic7899 Ultra160 SCSI adapter> 
<4>        aic7899: Ultra160 Wide Channel B, SCSI Id=7, 32/253 SCBs 
<4> 
<4>  Vendor: IBM-PSG   Model: ST39175LC     !#  Rev: 0350 
<4>  Type:   Direct-Access                      ANSI SCSI revision: 02 
<4>  Vendor: IBM       Model: CaVv3 S2          Rev: 0 
<4>  Type:   Processor                          ANSI SCSI revision: 02 
<4>scsi0:A:9:0: Tagged Queuing enabled.  Depth 253 
<4>Attached scsi disk sda at scsi0, channel 0, id 9, lun 0 
<4>(scsi0:A:9): 80.000MB/s transfers (40.000MHz, offset 15, 16bit) 
<4>SCSI device sda: 17774160 512-byte hdwr sectors (9100 MB) 
<6> sda: sda1 sda2 sda3 sda4 < sda5 > 
<6>Initializing USB Mass Storage driver... 
<6>usb.c: registered new driver usb-storage 
<6>USB Mass Storage support registered. 
<7>ISO 9660 Extensions: RRIP_1991A 
<4>Unable to identify CD-ROM format. 
<4>VFS: Can't find ext2 filesystem on dev loop(7,0). 
<6>pcnet32.c:v1.27a 10.02.2002 tsbogend@alpha.franken.de 
<6>pcnet32: PCnet/FAST III 79C975 at 0x2000, 00 06 29 d5 3b d6 assigned IRQ 
11. 
<6>eth2: registered as PCnet/FAST III 79C975 
<6>pcnet32: 1 cards_found. 
<6>md: raid0 personality registered as nr 2 
<6>md: raid1 personality registered as nr 3 
<6>raid5: measuring checksumming speed 
<4>   8regs     :  1100.800 MB/sec 
<4>   32regs    :   614.800 MB/sec 
<4>   pII_mmx   :  1504.400 MB/sec 
<4>   p5_mmx    :  1587.200 MB/sec 
<4>raid5: using function: p5_mmx (1587.200 MB/sec) 
<6>md: raid5 personality registered as nr 4 
<6>Journalled Block Device driver loaded 
<6> hde: hde1 
<7>ISO 9660 Extensions: RRIP_1991A 
<4>Unable to identify CD-ROM format. 
<4>VFS: Can't find ext2 filesystem on dev loop(7,0). 
<6>pcnet32.c:v1.27a 10.02.2002 tsbogend@alpha.franken.de 
<6>pcnet32: PCnet/FAST III 79C975 at 0x2000, 00 06 29 d5 3b d6 assigned IRQ 
11. 
<6>eth2: registered as PCnet/FAST III 79C975 
<6>pcnet32: 1 cards_found. 
<6>md: raid0 personality registered as nr 2 
<6>md: raid1 personality registered as nr 3 
<6>raid5: measuring checksumming speed 
<4>   8regs     :  1100.800 MB/sec 
<4>   32regs    :   614.800 MB/sec 
<4>   pII_mmx   :  1504.400 MB/sec 
<4>   p5_mmx    :  1587.200 MB/sec 
<4>raid5: using function: p5_mmx (1587.200 MB/sec) 
<6>md: raid5 personality registered as nr 4 
<6>Journalled Block Device driver loaded 
<6> hde: hde1 
<4>SCSI device sda: 17774160 512-byte hdwr sectors (9100 MB) 
<6> sda: sda1 sda2 sda3 sda4 < sda5 > 
<6> hdg: hdg1 
<6>Adding Swap: 1020116k swap-space (priority -1)
Comment 1 Jeremy Sanders 2002-09-20 04:55:13 EDT
We also see this with this raid section in a kickstart file:

# root
part raid.01 --onpart hda1 --size 1
part raid.02 --onpart hdg1 --size 1
raid / --fstype ext3 --level 1 --device md0 raid.01 raid.02

# swap
part raid.11 --onpart hda2 --size 1
part raid.12 --onpart hdg2 --size 1
raid swap --level 1 --device md1 raid.11 raid.12

# soft3
part raid.21 --noformat --onpart hde1 --size 1
part raid.22 --noformat --onpart hdi1 --size 1
raid /soft3 --fstype ext3 --noformat --level 1 --device md2 raid.21 raid.22
Comment 2 Jeremy Katz 2002-09-20 11:34:47 EDT
The update disk available at
http://people.redhat.com/~katzj/73raid.img?  If you put that on a separate
floppy and boot with 'linux updates', inserting the disk when prompted, it
should fix the problem.

*** This bug has been marked as a duplicate of 64734 ***

Note You need to log in before you can comment on or make changes to this bug.